Bug 593084 - abrt shouldn't file bugs if the kernel is tainted
Summary: abrt shouldn't file bugs if the kernel is tainted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 19:19 UTC by Matthew Garrett
Modified: 2013-01-10 07:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 14:12:51 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Garrett 2010-05-17 19:19:03 UTC
Kernel traces or warnings generated when the kernel is already tainted are highly likely to be a consequence of whatever caused the taint. Automatically filing these bugs consumes disproportionate developer time as a result. It would be preferable if abrt only filed bugs from untainted kernels.

Comment 1 Denys Vlasenko 2011-05-10 14:12:51 UTC
Fixed in git:

    if (tainted_str && analyzer
        && (strcmp(analyzer, "Kerneloops") == 0)
    ) {
        unsigned long tainted = xatoi_positive(tainted_str);
        const char *tainted_warning = tainted_string(tainted);
        if (tainted_warning)
            strbuf_append_strf(buf_summary, ": TAINTED %s", tainted_warning);
    }


Note You need to log in before you can comment on or make changes to this bug.